3 Oct 2003 clmimac 1.003, 03-276

1. |  | NAME
2. |  | SYNOPSIS
3. |  | DESCRIPTION
4. |  | OPTIONS
5. |  | AUTHOR
6. |  | SEE ALSO

## NAME

clmimac - Interpret Matrices (c.q. MCL iterands output by mcl) As Clusterings.

## SYNOPSIS

clmimac [options] <fname>

clmimac [-t num[:num]* (tightness parameter)]* [-o fname (file name/stem)] [-infix str (file name infix)] [-suffix str (file name suffix)] [-sort str (size|revsize|lex|none)] [--enstrict (remove overlap)] <fname> (input matrix)

## DESCRIPTION

Use clmimac to interpret matrices (as clusterings) output by mcl using mcl's -dump ite option.

Use clmimac only if you have a special reason; the normal usage of mcl is to do multiple runs for varying -I parameters and use the clusterings output by mcl itself. One reason is if you are interested in clusterings with overlap; early MCL iterands generally induce clusterings possessing overlap. Another reason is to investigate how the cluster structure associated with the MCL process evolves over time.

## OPTIONS

-t num[:num]* (tightness parameter)

num should be a number in the range [0, 100]. The highter num, the less overlap will result. Its default value is 100.

-tight is a synonym for -t.

Multiple tightness parameters
These can be specified by separating them with a colon, or by invoking -t multiple times. For each tightness parameter a corresponding clustering is computed. The output file names will be suffixed with their corresponding tightness parameters. If the -o parameter was not specified, the input file name is taken as a stem for the output file names. The -infix option can be used to specify a tag that should come between the file stem and the tightness parameter.

-o fname (file name/stem)
|  | Write to file named fname. In case multiple tightness parameters are specified, use fname as stem for the output file names.
-suffix str (file name suffix)
|  | Append str to the output file stem. If -o was not used, this appends str to the input file name and the result is used as output file name.
-infix str (file name infix)

Use in conjunction with multiple tightness parameters. Append str to the output file stem, expect tightness parameters to be appended.

This option is in fact fully synonymous with -suffix, and mainly present because the semantics of output file name creation depends on the number of tightness parameters for which a clustering is generated (i.e. one or more than one). The difference being that if multiple parameters are specified the parameter is automatically the (final) suffix of the output file name. This is not the case if only one parameter is used.

-sort str (size|revsize|lex|none)
|  | Sort the clusters either by increasing size, decreasing size, lexicographically by the indices they contain, or use the clustering exactly as obtained from the interpretation routine.
--enstrict (remove overlap)
|  | Remove overlap should it be found, by allocating the nodes in overlap to the first cluster in which they were found.

## AUTHOR

Stijn van Dongen.

## SEE ALSO

mcl, mclfaq, mcxio.